<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:id="@+id/bindPhoneContainer"
        android:layout_width="match_parent"
        android:layout_height="208dp"
        android:padding="16dp"
        android:background="@drawable/bg_invite_dialog"
        android:layout_gravity="bottom">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:textColor="@color/text_title"
            android:textStyle="bold"
            android:textSize="16sp"
            android:text="@string/invite_bind_title" />

        <ImageView
            android:id="@+id/bindCloseIv"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_alignParentRight="true"
            android:src="@drawable/ic_invite_close" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="48dp"
            android:lineSpacingExtra="8dp"
            android:gravity="center"
            android:textColor="@color/text_title"
            android:textSize="14sp"
            android:text="@string/invite_no_bind_tip" />

        <TextView
            android:id="@+id/bindBtn"
            android:layout_width="296dp"
            android:layout_height="44dp"
            android:layout_centerHorizontal="true"
            android:layout_alignParentBottom="true"
            android:gravity="center"
            style="@style/PrimaryGradientButton"
            android:textStyle="bold"
            android:textSize="16sp"
            android:text="@string/invite_no_bind_btn" />
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/inviteCodeContainer"
        android:layout_width="match_parent"
        android:layout_height="240dp"
        android:padding="16dp"
        android:background="@drawable/bg_invite_dialog"
        android:layout_gravity="bottom"
        android:clickable="true">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:textColor="@color/text_title"
            android:textStyle="bold"
            android:textSize="16sp"
            android:text="@string/invite_code_title" />

        <ImageView
            android:id="@+id/inviteCloseIv"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_alignParentRight="true"
            android:src="@drawable/ic_invite_close" />

        <RelativeLayout
            android:layout_width="296dp"
            android:layout_height="40dp"
            android:layout_marginTop="40dp"
            android:layout_centerHorizontal="true"
            android:background="@drawable/bg_shape_f5_radius_8">

            <EditText
                android:id="@+id/inviteEt"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="16dp"
                android:layout_marginRight="16dp"
                android:background="@null"
                android:hint="@string/invite_code_hint"
                android:textColor="@color/text_title"
                android:textColorHint="@color/text_body"
                android:textCursorDrawable="@drawable/cursor_color"
                android:textSize="14sp" />
        </RelativeLayout>

        <TextView
            android:layout_width="296dp"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="94dp"
            android:lineSpacingExtra="2dp"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="12sp"
            android:text="@string/invite_code_tip" />

        <TextView
            android:id="@+id/confirmBtn"
            android:layout_width="296dp"
            android:layout_height="44dp"
            android:layout_centerHorizontal="true"
            android:layout_alignParentBottom="true"
            android:gravity="center"
            style="@style/PrimaryGradientButton"
            android:textStyle="bold"
            android:textSize="16sp"
            android:text="确定" />
    </RelativeLayout>
</FrameLayout>